Name: autogen
Version: 5.8.9
Release: alt1

Summary: AutoGen - The Automated Program Generator
License: GPL
Group: Development/Other
Url: http://autogen.sourceforge.net/
Source: http://mesh.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.bz2
Patch: autogen-5.8-fix-linking.patch

# Automatically added by buildreq on Fri Feb 18 2005 (-bi)
BuildRequires: guile16-devel gzip-utils libxml2-devel tetex-core zlib-devel

%description
AutoGen is a tool designed for generating program files that contain
repetitive text with varied substitutions.  Its goal is to simplify the
maintenance of programs that contain large amounts of repetitious text.
This is especially valuable if there are several blocks of such text
that must be kept synchronized in parallel tables.

Some parts are released under different licensing:

libopts LGPL  This is a tear-off, redistributable option processing library
autofsm BSD   This is a template for producing finite state machine programs

The Copyright itself is privately held by Bruce Korb.

%package devel
Summary: autogen development files and libraries
Group: Development/Other
Requires: %name = %version-%release

%description devel
%summary

This package is needed to write programs that use Autogen API.

%prep
%setup -q
%patch

%build
autoreconf -fisv
%configure
%make

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc AUTHORS TODO COPYING NEWS NOTES THANKS README VERSION
%_bindir/*
%_libdir/*.so.*
%_datadir/%name
%_datadir/aclocal/*
%_infodir/%{name}*
%_man1dir/*
%_man3dir/*

%files devel
%dir %_includedir/autoopts
%_includedir/autoopts/*
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%exclude %_libdir/*.a

%changelog
* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 5.8.9-alt1
- make the patch for under-linking actually work (yeah, do autoreconf).
- requires Autoconf >= 2.59b

* Mon Apr 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.4-alt1
- new version 5.8.4
- fixed linking problems

* Mon Mar 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 5.8.3-alt1
- new version (5.8.3)
- spec cleanup

* Sun Oct 09 2005 Alexey Rusakov <ktirf@altlinux.ru> 5.7.3-alt1
- New version.
- Removed excess buildreqs.

* Fri Feb 18 2005 Vladimir Lettiev <crux@altlinux.ru> 5.6.6-alt1
- Initial build for ALTLinux Sisyphus

